summaryrefslogtreecommitdiffstats
path: root/bin/bre-invert-word
diff options
context:
space:
mode:
Diffstat (limited to 'bin/bre-invert-word')
-rwxr-xr-xbin/bre-invert-word15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/bre-invert-word b/bin/bre-invert-word
new file mode 100755
index 000000000..677ba2e97
--- /dev/null
+++ b/bin/bre-invert-word
@@ -0,0 +1,15 @@
+#! /bin/sh
+# bre-invert-word : string -> BRE
+set -euf
+
+# TODO escape chars in the resulting BRE.
+awk -v input="$1" '
+ BEGIN {
+ split(input,s,"")
+ for (i in s) {
+ c=s[i]
+ printf "\\|%s[^%s]", y, c
+ y = y c
+ }
+ }
+'